Bug 1281651 - [Docs] No sizing guidelines for etcd service nodes.
[Docs] No sizing guidelines for etcd service nodes.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity urgent
: ---
: ---
Assigned To: Ashley Hardin
Johnny Liu
Vikram Goyal
:
Depends On:
Blocks: 1281652
  Show dependency treegraph
 
Reported: 2015-11-12 20:35 EST by Eric Rich
Modified: 2017-01-23 12:00 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1281652 (view as bug list)
Environment:
Last Closed: 2017-01-23 12:00:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2688911 None None None 2016-10-10 16:50 EDT

  None (edit)
Description Eric Rich 2015-11-12 20:35:22 EST
Document URL: https://docs.openshift.com/enterprise/3.1/install_config/install/prerequisites.html#system-requirements

Section Number and Name: System Requirements Table. 

Describe the issue: Missing sizing guidelines for etcd service nodes.

Suggestions for improvement: Add min sizing guidelines for etcd service nodes.

Additional information: 

This can then be referred in the corresponding sections where etcd is listed as a single node.

https://docs.openshift.com/enterprise/3.1/install_config/install/advanced_install.html#configuring-ansible
Comment 4 Timothy 2016-10-07 00:48:58 EDT
Eric, 

This was originally a 3.1 bug. 

Does this apply to 3.1, 3.2, and 3.3?

Would it also apply to Dedicated?
Comment 5 Eric Rich 2016-10-07 01:47:18 EDT
In discussions with Engineering it's clear that there are a set of general recommendations that we should be making for etcd. These are recommendations like what are the optimal number of members and why. How. Should the cluster be scaled, and what are typical maintenance activities. 

With that said each version Hase it's own set of additional reconditions so we likely need to also collect this information.
Comment 13 Timothy St. Clair 2017-01-05 13:03:32 EST
https://github.com/openshift/openshift-docs/issues/3447
Comment 14 Ashley Hardin 2017-01-05 16:59:49 EST
Docs PR: https://github.com/openshift/openshift-docs/pull/3448
Comment 15 openshift-github-bot 2017-01-10 11:02:38 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/fbe376d060e624210e84f69949ce08224efb443e
Bug 1281651, added sizing guidelines for etcd service nodes

https://github.com/openshift/openshift-docs/commit/d35148fb665a659b455f195e48b8155d56703fc0
Merge pull request #3448 from ahardin-rh/etcd-hardware-recommendations

Bug 1281651, added sizing guidelines for etcd service nodes
Comment 16 Johnny Liu 2017-01-12 05:40:41 EST
Review the PR, it looks good to me.

Note You need to log in before you can comment on or make changes to this bug.